# Copyright 2020 The Chromium OS Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.

# This file has been automatically generated. Do not edit!

AUTHOR = 'ARC++ Team'
NAME = 'cheets_CTS_R.11_r3.arm.CtsWindowManager.P'
ATTRIBUTES = 'suite:arc-cts-r'
DEPENDENCIES = 'arc'
JOB_RETRIES = 1
TEST_TYPE = 'server'
TIME = 'MEDIUM'
MAX_RESULT_SIZE_KB = 512000
DOC = 'Run module CtsWindowManager.P of the Android Compatibility Test Suite (CTS) using arm ABI in the ARC++ container.'

def run_TS(machine):
    host_list = [hosts.create_host(machine)]
    job.run_test(
        'cheets_CTS_R',
        hosts=host_list,
        iterations=1,
        tag='11_r3.arm.CtsWindowManager.P',
        test_name='cheets_CTS_R.11_r3.arm.CtsWindowManager.P',
        run_template=['run', 'commandAndExit', 'cts', '--include-filter', 'CtsWindowManagerDeviceTestCases android.server.wm.PinnedStackTests', '--include-filter', 'CtsWindowManagerDeviceTestCases android.server.wm.PrereleaseSdkTest', '--include-filter', 'CtsWindowManagerDeviceTestCases android.server.wm.PresentationTest', '--logcat-on-failure'],
        retry_template=['run', 'commandAndExit', 'retry', '--retry', '{session_id}'],
        target_module='CtsWindowManagerDeviceTestCases',
        target_plan=None,
        bundle='arm',
        uri='LATEST',
        use_jdk9=True,
        timeout=3600)

parallel_simple(run_TS, machines)
